MetricChartServlet (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.servlet.MetricChartServlet class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.servlet
Class MetricChartServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.hyperic.hq.ui.servlet.ParameterizedServlet
                  org.hyperic.hq.ui.servlet.ImageServlet
                      org.hyperic.hq.ui.servlet.ChartServlet
                          org.hyperic.hq.ui.servlet.VerticalChartServlet
                              org.hyperic.hq.ui.servlet.MetricChartServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class MetricChartServlet

extends VerticalChartServlet

Extends ChartServlet to graph one or more metrics. By default, `showPeak`, `showHighRange`, `showValues`, `showAverage`, `showLowRange`, `showLow` and `showBaseline` are all true.

Additional parameters are as follows (any required parameters are in italics):

key | value
--- | ---
chartDataKey | <string>
showEvents | (false | true)

The `chartDataKey` will be used to retrieve the chart data from the session. Once it is pulled, it will be removed from the session.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `CHART_DATA_KEY_PARAM` Request parameter for the chart data key session attribute.
`static java.lang.String` | `SHOW_EVENTS_PARAM` Request parameter for whether or not to show control actions.

Fields inherited from class org.hyperic.hq.ui.servlet.VerticalChartServlet
`COLLECTION_TYPE_PARAM`

Fields inherited from class org.hyperic.hq.ui.servlet.ChartServlet
`BASELINE_PARAM, HIGHRANGE_PARAM, IMAGE_HEIGHT_DEFAULT, IMAGE_WIDTH_DEFAULT, LOWRANGE_PARAM, SHOW_AVERAGE_PARAM, SHOW_BASELINE_PARAM, SHOW_HIGHRANGE_PARAM, SHOW_LOW_PARAM, SHOW_LOWRANGE_PARAM, SHOW_PEAK_PARAM, SHOW_VALUES_PARAM, UNIT_SCALE_PARAM, UNIT_UNITS_PARAM`

Fields inherited from class org.hyperic.hq.ui.servlet.ImageServlet
`IMAGE_FORMAT_JPEG, IMAGE_FORMAT_PARAM, IMAGE_FORMAT_PNG, IMAGE_HEIGHT_PARAM, IMAGE_WIDTH_PARAM`

Constructor Summary
`MetricChartServlet()`

Method Summary
`protected Chart` | `createChart(javax.servlet.http.HttpServletRequest request, ChartDataBean dataBean)` Create and return the chart.
`protected java.lang.Object` | `createImage(javax.servlet.http.HttpServletRequest request)` Create the image being rendered.
`protected boolean` | `getDefaultShowAverage()` Return the default `showAverage`.
`protected boolean` | `getDefaultShowBaseline()` Return the default `showBaseline`.
`protected boolean` | `getDefaultShowEvents()` Return the default `showEvents`.
`protected boolean` | `getDefaultShowHighRange()` Return the default `showHighRange`.
`protected boolean` | `getDefaultShowLow()` Return the default `showLow`.
`protected boolean` | `getDefaultShowLowRange()` Return the default `showLowRange`.
`protected boolean` | `getDefaultShowPeak()` Return the default `showPeak`.
`protected boolean` | `getDefaultShowValues()` Return the default `showValues`.
`protected ChartDataBean` | `getupMetricData(javax.servlet.http.HttpServletRequest request)`
`protected void` | `initializeChart(Chart chart, javax.servlet.http.HttpServletRequest request)` Initialize the chart.
`protected void` | `plotData(javax.servlet.http.HttpServletRequest request, Chart chart, ChartDataBean dataBean)` This method will be called automatically by the ChartServlet.

Methods inherited from class org.hyperic.hq.ui.servlet.VerticalChartServlet
`getDefaultCollectionType, getTrendForCollectionType, parseParameters`

Methods inherited from class org.hyperic.hq.ui.servlet.ChartServlet
`getDefaultImageHeight, getDefaultImageWidth, getDefaultUnitScale, getDefaultUnitUnits, getShowAvg, getShowLow, getShowPeak, renderJpegImage, renderPngImage`

Methods inherited from class org.hyperic.hq.ui.servlet.ImageServlet
`doGet, getDefaultImageFormat, getImageHeight, getImageWidth, init`

Methods inherited from class org.hyperic.hq.ui.servlet.ParameterizedServlet
`invalidParamErr, invalidParamErr, invalidParamWarn, invalidParamWarn, invalidParamWarn, invalidParamWarn, invalidParamWarn, parseBooleanParameter, parseDoubleParameter, parseIntParameter, parseLongParameter, parseRequiredBooleanParameter, parseRequiredDoubleParameter, parseRequiredIntParameter, parseRequiredLongParameter, parseRequiredStringParameter, parseRequiredStringParameter, parseStringParameter, parseStringParameter, requiredParamErr`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHART_DATA_KEY_PARAM

    public static final java.lang.String CHART_DATA_KEY_PARAM

  Request parameter for the chart data key session attribute.

  See Also:
    Constant Field Values

### SHOW_EVENTS_PARAM

    public static final java.lang.String SHOW_EVENTS_PARAM

  Request parameter for whether or not to show control actions.

  See Also:
    Constant Field Values

Constructor Detail

### MetricChartServlet

    public MetricChartServlet()

Method Detail

### createImage

    protected java.lang.Object createImage(javax.servlet.http.HttpServletRequest request)
                                    throws javax.servlet.ServletException

  Create the image being rendered.

  Overrides:
    `createImage` in class `ChartServlet`
  Parameters:
    `request` - the servlet request
  Throws:
    `javax.servlet.ServletException`

### createChart

    protected Chart createChart(javax.servlet.http.HttpServletRequest request,
                                ChartDataBean dataBean)

  Create and return the chart. This method will be called after the parameters have been parsed.

  Specified by:
    `createChart` in class `ChartServlet`
  Parameters:
    `request` - TODO
    `dataBean` - TODO
  Returns:
    the newly created chart

### initializeChart

    protected void initializeChart(Chart chart,
                                   javax.servlet.http.HttpServletRequest request)

  Initialize the chart. This method will be called after the parameters have been parsed and the chart has been created.

  Overrides:
    `initializeChart` in class `VerticalChartServlet`
  Parameters:
    `chart` - the chart
    `request` - TODO

### plotData

    protected void plotData(javax.servlet.http.HttpServletRequest request,
                            Chart chart,
                            ChartDataBean dataBean)
                     throws javax.servlet.ServletException

  This method will be called automatically by the ChartServlet. It should handle adding data to the chart, setting up the X and Y axis labels, etc.

  Specified by:
    `plotData` in class `ChartServlet`
  Parameters:
    `request` - the HTTP request
    `dataBean` - TODO
  Throws:
    `javax.servlet.ServletException`

### getDefaultShowPeak

    protected boolean getDefaultShowPeak()

  Return the default `showPeak`.

  Overrides:
    `getDefaultShowPeak` in class `ChartServlet`

### getDefaultShowHighRange

    protected boolean getDefaultShowHighRange()

  Return the default `showHighRange`.

  Overrides:
    `getDefaultShowHighRange` in class `ChartServlet`

### getDefaultShowValues

    protected boolean getDefaultShowValues()

  Return the default `showValues`.

  Overrides:
    `getDefaultShowValues` in class `ChartServlet`

### getDefaultShowAverage

    protected boolean getDefaultShowAverage()

  Return the default `showAverage`.

  Overrides:
    `getDefaultShowAverage` in class `ChartServlet`

### getDefaultShowLowRange

    protected boolean getDefaultShowLowRange()

  Return the default `showLowRange`.

  Overrides:
    `getDefaultShowLowRange` in class `ChartServlet`

### getDefaultShowLow

    protected boolean getDefaultShowLow()

  Return the default `showLow`.

  Overrides:
    `getDefaultShowLow` in class `ChartServlet`

### getDefaultShowBaseline

    protected boolean getDefaultShowBaseline()

  Return the default `showBaseline`.

  Overrides:
    `getDefaultShowBaseline` in class `ChartServlet`

### getDefaultShowEvents

    protected boolean getDefaultShowEvents()

  Return the default `showEvents`.

### getupMetricData

    protected ChartDataBean getupMetricData(javax.servlet.http.HttpServletRequest request)
                                     throws SessionNotFoundException,
                                            SessionTimeoutException,
                                            MeasurementNotFoundException,
                                            java.rmi.RemoteException,
                                            AppdefEntityNotFoundException,
                                            PermissionException,
                                            javax.servlet.ServletException

  Throws:
    `SessionNotFoundException`
    `SessionTimeoutException`
    `MeasurementNotFoundException`
    `java.rmi.RemoteException`
    `AppdefEntityNotFoundException`
    `PermissionException`
    `javax.servlet.ServletException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.